# Create IP restriction

Create or update an IP restriction for an account (tenant).

Provide the required values as objects in the request body. Refer to the parameter documentation for the list of supported values.

Endpoint: POST /resources/configurations/v1/restrictions/ip
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant identifier. Required for requests to api.frontegg.com (or your region) when using a management token. Parsed from the token when using user or API tokens

## Request fields (application/json):

  - `ip` (string, required)
    IP or CIDR (v4 and v6 are supported)

  - `description` (string)

  - `strategy` (string, required)
    Enum: "ALLOW", "BLOCK"

  - `isActive` (boolean)

